## openjdk-8 8u452-ga~us1

=== debian/changelog ===
openjdk-8 (8u452-ga~us1-0ubuntu1~22.04) jammy-security; urgency=medium

  * OpenJDK 8u452 release. Release notes:
    https://mail.openjdk.org/pipermail/jdk8u-dev/2025-April/019989.html
    - CVEs:
      + CVE-2025-21587
      + CVE-2025-30691
      + CVE-2025-30698

  [ Pushkar Kulkarni ]
  * d/rules: update gh tags for 8u452
  * d/control: regenerate for Ubuntu 22.04
  * Upload to Ubuntu 22.04

 -- Pushkar Kulkarni <pushkar.kulkarni@canonical.com>  Wed, 16 Apr 2025 16:03:22 +0530

openjdk-8 (8u442-ga-2) unstable; urgency=low

  * Add explicit R³: binary-targets to work around dpkg 1.22.13 changing
    default behaviour, violating Policy §5.6.31, leading to binary-*
    target not called in separate make run any more which some wildcard
    matches rely on, to get the correct files (Closes: #1095746)

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 12 Feb 2025 02:55:46 +0100

openjdk-8 (8u442-ga-1) unstable; urgency=low

  * New upstream release
  * Other changes see
    https://mail.openjdk.org/pipermail/jdk8u-dev/2025-January/019658.html
  * Drop mantic, add plucky
  * Add pochu to Uploaders
  * Bump testing/sid GCC to 14 (Closes: #1092660);
    for oracular/plucky as well, noble is kept at GCC 13
  * Since xfwm4 is available on every arch we build again, drop exclusion
  * Drop remnants of IA64 support (long gone from Linux)
  * Remove m68k support: broken, needs rebootstrapping after the ABI change
    anyway, at which point openjdk-8 might not be needed at all
  * Add patch for FTBFS with GCC 14’s strictened types
  * Bump Policy (nothing to do)

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 10 Feb 2025 01:11:43 +0100
