=== debian/rules ===
--- 
+++ 
@@ -101,10 +101,10 @@
 is_release		=
 is_release		= yes
 gh_project		= jdk8u
-gh_tag			= jdk8u442-ga
+gh_tag			= jdk8u452-ga
 version_dash_buildnr	= $(subst ${gh_project},,${gh_tag})
-version_dash_buildnr	= 442-b06
-gh_tag_aarch32		= jdk8u442-ga-aarch32-20250125
+version_dash_buildnr	= 452-b09
+gh_tag_aarch32		= jdk8u452-b07-aarch32-20250402
 package_version		= $(subst jdk,,${gh_tag})
 ifneq ($(is_release),yes)
   package_version	:= $(subst -,~,$(package_version))
