## openjdk-8 8u452-ga

=== debian/changelog ===
openjdk-8 (8u452-ga-1~deb8u1) jessie-security; urgency=medium

  * Backport to jessie.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 19 May 2025 18:15:49 +0200

openjdk-8 (8u452-ga-1) unstable; urgency=low

  * Revert previous workaround
  * Use = ipv := for jre_hl_tools gmake variable (Closes: #1095932)
  * Explicitly use R³:no
  * New upstream release
  * CVEs
    - CVE-2025-21587
    - CVE-2025-30691
    - CVE-2025-30698
  * Other changes see
    https://mail.openjdk.org/pipermail/jdk8u-dev/2025-April/019989.html
  * Add Roberto as ELTS fallback for pochu
  * Bump Policy, (should be) no change needed

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 11 May 2025 22:09:45 +0000

openjdk-8 (8u442-ga-1~deb8u1) jessie-security; urgency=medium

  * Backport to jessie.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 10 Feb 2025 11:51:03 +0100
