## openjdk-8 8u462-ga~us1

=== debian/changelog ===
openjdk-8 (8u462-ga~us1-0ubuntu2~22.04.2) jammy-security; urgency=medium

  * Upload to Ubuntu 22.04.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Fri, 18 Jul 2025 19:00:25 +1200

openjdk-8 (8u462-ga~us1-0ubuntu2) questing; urgency=medium

  * d/rules: correct version_dash_buildnr variable, use actual build
    number (LP: #2117226).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Fri, 18 Jul 2025 18:37:38 +1200

openjdk-8 (8u462-ga~us1-0ubuntu1) questing; urgency=medium

  * New upstream release. See
    https://openjdk.org/groups/vulnerability/advisories/2025-07-15
    - CVEs:
      + CVE-2025-30749, 8348989: Better Glyph drawing
      + CVE-2025-50106, 8360147: Better Glyph drawing redux
      + CVE-2025-30761, 8351422: Improve scripting supports
      + CVE-2025-30754, 8349594: Enhance TLS protocol support
    - Security fixes:
      + 8349111: Enhance Swing supports
      + 8345625: Better HTTP connections
    - Release notes:
      https://mail.openjdk.org/pipermail/jdk8u-dev/2025-July/020263.html
  * d/rules: use link file to provide symlink to ja man pages (LP:
    #2116572).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Wed, 16 Jul 2025 10:33:21 +1200
