=== debian/rules ===
--- 
+++ 
@@ -69,7 +69,7 @@
 
 # we know about:
 # wheezy jessie stretch buster bullseye bookworm trixie sid
-# precise trusty xenial bionic focal jammy noble oracular plucky
+# precise trusty xenial bionic focal jammy noble oracular plucky questing
 
 ifneq (,$(filter $(distrel),wheezy precise trusty))
   is_default = no
@@ -101,10 +101,10 @@
 is_release		=
 is_release		= yes
 gh_project		= jdk8u
-gh_tag			= jdk8u452-ga
+gh_tag			= jdk8u462-ga
 version_dash_buildnr	= $(subst ${gh_project},,${gh_tag})
-version_dash_buildnr	= 452-b09
-gh_tag_aarch32		= jdk8u452-b07-aarch32-20250402
+version_dash_buildnr	= 462-b08
+gh_tag_aarch32		= jdk8u462-b07-aarch32-20250703 # no -ga changes are needed for aarch32 port
 package_version		= $(subst jdk,,${gh_tag})
 ifneq ($(is_release),yes)
   package_version	:= $(subst -,~,$(package_version))
@@ -225,4 +225,3 @@
 dpkg_buildflags_hs += dpkg-buildflags
 export EXTRA_CPPFLAGS_HS := $(shell $(dpkg_buildflags_hs) --get CPPFLAGS)
 export EXTRA_CFLAGS_HS   := $(shell $(dpkg_buildflags_hs) --get CFLAGS) $(shell $(dpkg_buildflags_hs) --get CPPFLAGS)
-export EXTRA_CXXFLAGS_HS := $(shell $(dpkg_buildflags_hs) --get CXXFLAGS)
