## openjdk-8 8u462-ga

=== debian/changelog ===
openjdk-8 (8u462-ga-1) unstable; urgency=low

  * New upstream release
  * CVEs
    - CVE-2025-30749
    - CVE-2025-30754
    - CVE-2025-30761
    - CVE-2025-50106
  * Other changes see
    https://mail.openjdk.org/pipermail/jdk8u-dev/2025-July/020263.html

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 30 Jul 2025 11:44:43 +0000
