=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: openjdk-8
 Section: java
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Java Maintenance <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Java Maintenance <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Thorsten Glaser <tg@mirbsd.de>,
  Emilio Pozuelo Monfort <pochu@debian.org>,
  Roberto C. Sánchez <roberto@debian.org>
 Build-Depends: openjdk-8-jdk, quilt,
  m4, lsb-release, sharutils, gawk, procps, wdiff, tzdata, debhelper (>= 11),
- cpio, zip, unzip, autoconf (>= 2.69), automake, pkg-config, xvfb <!nocheck>, xauth <!nocheck>, xfonts-base <!nocheck>, libgl1-mesa-dri <!nocheck>, xfwm4 <!nocheck>, x11-xkb-utils <!nocheck>, dbus-x11 <!nocheck>, jtreg (>> 4.2-b13-1~) <!nocheck>, libasmtools-java <!nocheck>, testng <!nocheck>,
- ant, ant-optional, fastjar (>= 2:0.96-0ubuntu2), gcc-11, g++-11, zlib1g-dev, libattr1-dev, libpng-dev, libjpeg-dev, libgif-dev, libcups2, libglib2.0-0 (>= 2.24), libgtk2.0-0 (>= 2.14),
+ cpio, zip, unzip, autoconf (>= 2.69), automake, pkgconf, xvfb <!nocheck>, xauth <!nocheck>, xfonts-base <!nocheck>, libgl1-mesa-dri <!nocheck>, xfwm4 <!nocheck>, x11-xkb-utils <!nocheck>, dbus-x11 <!nocheck>, jtreg (>> 4.2-b13-1~) <!nocheck>, libasmtools-java <!nocheck>, testng <!nocheck>,
+ ant, ant-optional, fastjar (>= 2:0.96-0ubuntu2), gcc-14, g++-14, zlib1g-dev, libattr1-dev, libpng-dev, libjpeg-dev, libgif-dev, libcups2t64, libglib2.0-0t64, libgtk2.0-0t64,
  libxtst-dev, libxi-dev, libxt-dev, libxaw7-dev, libxrender-dev, libcups2-dev, libasound2-dev, liblcms2-dev, libxinerama-dev, libkrb5-dev, xsltproc, libpcsclite-dev, libfreetype-dev, libgtk2.0-dev, libffi-dev, libpulse-dev (>= 0.9.12), systemtap-sdt-dev, libnss3-dev (>= 2:3.26), dpkg-dev (>= 1.17.14), time
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
